Index: /palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_bc.f90	(revision 4487)
+++ /palm/trunk/SOURCE/advec_s_bc.f90	(revision 4488)
@@ -619,9 +603,9 @@
                 cipf = 1.0_wp - 2.0_wp * cip
                 cimf = 1.0_wp - 2.0_wp * cim
-                ip   =   a0(k,j-1) * f2  * ( 1.0_wp - cipf )                      &
-                       + a1(k,j-1) * f8  * ( 1.0_wp - cipf*cipf )                 &
+                ip   =   a0(k,j-1) * f2  * ( 1.0_wp - cipf )                                       &
+                       + a1(k,j-1) * f8  * ( 1.0_wp - cipf*cipf )                                  &
                        + a2(k,j-1) * f24 * ( 1.0_wp - cipf*cipf*cipf )
-                im   =   a0(k,j)   * f2  * ( 1.0_wp - cimf )                      &
-                       - a1(k,j)   * f8  * ( 1.0_wp - cimf*cimf )                 &
+                im   =   a0(k,j)   * f2  * ( 1.0_wp - cimf )                                       &
+                       - a1(k,j)   * f8  * ( 1.0_wp - cimf*cimf )                                  &
                        + a2(k,j)   * f24 * ( 1.0_wp - cimf*cimf*cimf )
                 ip   = MAX( ip, 0.0_wp )
@@ -654,9 +638,9 @@
           DO  j = nys-1, nyn+1
              DO  k = nzb+1, nzt
-                m2 = 2.0_wp * ABS( a1(k,j) - a12(k,j) ) /                            &
+                m2 = 2.0_wp * ABS( a1(k,j) - a12(k,j) ) /                                          &
                      MAX( ABS( a1(k,j) + a12(k,j) ), 1E-35_wp )
                 IF ( ABS( a1(k,j) + a12(k,j) ) < fmax(2) )  m2 = 0.0_wp
 
-                m3 = 2.0_wp * ABS( a2(k,j) - a22(k,j) ) /                            &
+                m3 = 2.0_wp * ABS( a2(k,j) - a22(k,j) ) /                                          &
                      MAX( ABS( a2(k,j) + a22(k,j) ), 1E-35_wp )
                 IF ( ABS( a2(k,j) + a22(k,j) ) < fmax(1) )  m3 = 0.0_wp
@@ -666,9 +650,7 @@
                 IF ( m1(k,j) == -1.0_wp )  t2 = 0.12_wp
 
-!--             *VOCL STMT,IF(10)
-                IF ( m1(k,j-1) == 1.0_wp .OR. m1(k,j) == 1.0_wp                   &
-                     .OR. m1(k,j+1) == 1.0_wp .OR.  m2 > t2  .OR.  m3 > t2  .OR.  &
-                     ( m1(k,j) > t1  .AND.  m1(k,j-1) /= -1.0_wp  .AND.           &
-                       m1(k,j) /= -1.0_wp  .AND.  m1(k,j+1) /= -1.0_wp )          &
+                IF ( m1(k,j-1) == 1.0_wp  .OR.  m1(k,j) == 1.0_wp  .OR.  m1(k,j+1) == 1.0_wp  .OR. &
+                     m2 > t2  .OR.  m3 > t2  .OR.  ( m1(k,j) > t1 .AND. m1(k,j-1) /= -1.0_wp .AND. &
+                     m1(k,j) /= -1.0_wp .AND. m1(k,j+1) /= -1.0_wp )                               &
                    )  sw(k,j) = 1.0_wp
              ENDDO
@@ -681,5 +663,4 @@
              DO  k = nzb+1, nzt
 
-!--             *VOCL STMT,IF(10)
                 IF ( sw(k,j) == 1.0_wp )  THEN
                    snenn = sk_p(k,j+1,i) - sk_p(k,j-1,i)
@@ -693,9 +674,9 @@
                    cip =  MAX( 0.0_wp, ( v(k,j+1,i) - v_gtrans ) * dt_3d * ddy )
 
-                   ippe(k,j) = sk_p(k,j-1,i) * cip + snenn * (                    &
-                               aex(ix) * cip + bex(ix) / dex(ix) * (              &
-                               eex(ix) -                                          &
-                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cip ) )  &
-                                                                   )              &
+                   ippe(k,j) = sk_p(k,j-1,i) * cip + snenn * (                                     &
+                               aex(ix) * cip + bex(ix) / dex(ix) * (                               &
+                               eex(ix) -                                                           &
+                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cip ) )                   &
+                                                                   )                               &
                                                              )
                    IF ( sterm == 0.0001_wp )  ippe(k,j) = sk_p(k,j,i) * cip
@@ -712,9 +693,9 @@
                    cim = -MIN( 0.0_wp, ( v(k,j,i) - v_gtrans ) * dt_3d * ddy )
 
-                   imme(k,j) = sk_p(k,j+1,i) * cim + snenn * (                    &
-                               aex(ix) * cim + bex(ix) / dex(ix) * (              &
-                               eex(ix) -                                          &
-                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cim ) )  &
-                                                                   )              &
+                   imme(k,j) = sk_p(k,j+1,i) * cim + snenn * (                                     &
+                               aex(ix) * cim + bex(ix) / dex(ix) * (                               &
+                               eex(ix) -                                                           &
+                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cim ) )                   &
+                                                                   )                               &
                                                              )
                    IF ( sterm == 0.0001_wp )  imme(k,j) = sk_p(k,j,i) * cim
@@ -722,5 +703,4 @@
                 ENDIF
 
-!--             *VOCL STMT,IF(10)
                 IF ( sw(k,j+1) == 1.0_wp )  THEN
                    snenn = sk_p(k,j,i) - sk_p(k,j+2,i)
@@ -734,9 +714,9 @@
                    cim = -MIN( 0.0_wp, ( v(k,j+1,i) - v_gtrans ) * dt_3d * ddy )
 
-                   impe(k,j) = sk_p(k,j+2,i) * cim + snenn * (                    &
-                               aex(ix) * cim + bex(ix) / dex(ix) * (              &
-                               eex(ix) -                                          &
-                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cim ) )  &
-                                                                   )              &
+                   impe(k,j) = sk_p(k,j+2,i) * cim + snenn * (                                     &
+                               aex(ix) * cim + bex(ix) / dex(ix) * (                               &
+                               eex(ix) -                                                           &
+                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cim ) )                   &
+                                                                   )                               &
                                                              )
                    IF ( sterm == 0.0001_wp )  impe(k,j) = sk_p(k,j+1,i) * cim
@@ -744,5 +724,4 @@
                 ENDIF
 
-!--             *VOCL STMT,IF(10)
                 IF ( sw(k,j-1) == 1.0_wp )  THEN
                    snenn = sk_p(k,j,i) - sk_p(k,j-2,i)
@@ -756,9 +735,9 @@
                    cip = MAX( 0.0_wp, ( v(k,j,i) - v_gtrans ) * dt_3d * ddy )
 
-                   ipme(k,j) = sk_p(k,j-2,i) * cip + snenn * (                    &
-                               aex(ix) * cip + bex(ix) / dex(ix) * (              &
-                               eex(ix) -                                          &
-                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cip ) )  &
-                                                                   )              &
+                   ipme(k,j) = sk_p(k,j-2,i) * cip + snenn * (                                     &
+                               aex(ix) * cip + bex(ix) / dex(ix) * (                               &
+                               eex(ix) -                                                           &
+                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cip ) )                   &
+                                                                   )                               &
                                                              )
                    IF ( sterm == 0.0001_wp )  ipme(k,j) = sk_p(k,j-1,i) * cip
@@ -774,8 +753,8 @@
           DO  j = nys, nyn
              DO  k = nzb+1, nzt
-                fplus  = ( 1.0_wp - sw(k,j)   ) * ippb(k,j) + sw(k,j)   * ippe(k,j) &
-                       - ( 1.0_wp - sw(k,j+1) ) * impb(k,j) - sw(k,j+1) * impe(k,j)
-                fminus = ( 1.0_wp - sw(k,j-1) ) * ipmb(k,j) + sw(k,j-1) * ipme(k,j) &
-                       - ( 1.0_wp - sw(k,j)   ) * immb(k,j) - sw(k,j)   * imme(k,j)
+                fplus  = ( 1.0_wp - sw(k,j) )     * ippb(k,j) + sw(k,j)   * ippe(k,j)              &
+                         - ( 1.0_wp - sw(k,j+1) ) * impb(k,j) - sw(k,j+1) * impe(k,j)
+                fminus = ( 1.0_wp - sw(k,j-1) )   * ipmb(k,j) + sw(k,j-1) * ipme(k,j)              &
+                         - ( 1.0_wp - sw(k,j) )   * immb(k,j) - sw(k,j)   * imme(k,j)
                 tendcy = fplus - fminus
 !
@@ -786,11 +765,12 @@
 !--             Density correction because of possible remaining divergences
                 d_new = d(k,j,i) - ( v(k,j+1,i) - v(k,j,i) ) * dt_3d * ddy
-                sk_p(k,j,i) = ( ( 1.0_wp + d(k,j,i) ) * sk_p(k,j,i) - tendcy ) /  &
-                              ( 1.0_wp + d_new )
-                d(k,j,i)  = d_new
+                sk_p(k,j,i) = ( ( 1.0_wp + d(k,j,i) ) * sk_p(k,j,i) - tendcy ) / ( 1.0_wp + d_new )
+                d(k,j,i) = d_new
              ENDDO
           ENDDO
 
        ENDDO   ! End of the advection in y-direction
+
+
        CALL cpu_log( log_point_s(11), 'advec_s_bc:sendrecv', 'continue' )
        CALL cpu_log( log_point_s(11), 'advec_s_bc:sendrecv', 'stop' )
@@ -798,6 +778,5 @@
 !
 !--    Deallocate temporary arrays
-       DEALLOCATE( a0, a1, a2, a12, a22, immb, imme, impb, impe, ipmb, ipme,      &
-                   ippb, ippe, m1, sw )
+       DEALLOCATE( a0, a1, a2, a12, a22, immb, imme, impb, impe, ipmb, ipme, ippb, ippe, m1, sw )
 
 
@@ -959,6 +938,6 @@
 
 !
-!--       Cloud water content boundary condition at the bottom boundary:
-!--       Dirichlet (fixed surface rain water content).
+!--       Cloud water content boundary condition at the bottom boundary: Dirichlet (fixed surface
+!--       rain water content).
           DO  i = nxl, nxr
              DO  j = nys, nyn
@@ -981,6 +960,6 @@
 
 !
-!--       Rain water content boundary condition at the bottom boundary:
-!--       Dirichlet (fixed surface rain water content).
+!--       Rain water content boundary condition at the bottom boundary: Dirichlet (fixed surface
+!--       rain water content).
           DO  i = nxl, nxr
              DO  j = nys, nyn
@@ -1003,6 +982,6 @@
 
 !
-!--       Cloud drop concentration boundary condition at the bottom boundary:
-!--       Dirichlet (fixed surface cloud drop concentration).
+!--       Cloud drop concentration boundary condition at the bottom boundary: Dirichlet (fixed
+!--       surface cloud drop concentration).
           DO  i = nxl, nxr
              DO  j = nys, nyn
@@ -1025,6 +1004,6 @@
 
 !
-!--       Rain drop concentration boundary condition at the bottom boundary:
-!--       Dirichlet (fixed surface rain drop concentration).
+!--       Rain drop concentration boundary condition at the bottom boundary: Dirichlet (fixed
+!--       surface rain drop concentration).
           DO  i = nxl, nxr
              DO  j = nys, nyn
@@ -1060,8 +1039,7 @@
        ELSE
 
-          WRITE( message_string, * ) 'no vertical boundary condi',                &
-                                   'tion for variable "', sk_char, '"'
+          WRITE( message_string, * ) 'no vertical boundary condition for variable "', sk_char, '"'
           CALL message( 'advec_s_bc', 'PA0158', 1, 2, 0, 6, 0 )
-         
+
        ENDIF
 
@@ -1090,17 +1068,12 @@
 !
 !--    Allocate temporary arrays
-       ALLOCATE( a0(nzb:nzt+1,nys:nyn),   a1(nzb:nzt+1,nys:nyn),                  &
-                 a2(nzb:nzt+1,nys:nyn),   a12(nzb:nzt+1,nys:nyn),                 &
-                 a22(nzb:nzt+1,nys:nyn),  immb(nzb+1:nzt,nys:nyn),                &
-                 imme(nzb+1:nzt,nys:nyn), impb(nzb+1:nzt,nys:nyn),                &
-                 impe(nzb+1:nzt,nys:nyn), ipmb(nzb+1:nzt,nys:nyn),                &
-                 ipme(nzb+1:nzt,nys:nyn), ippb(nzb+1:nzt,nys:nyn),                &
-                 ippe(nzb+1:nzt,nys:nyn), m1(nzb-1:nzt+2,nys:nyn),                &
-                 sw(nzb:nzt+1,nys:nyn)                                            &
+       ALLOCATE( a0(nzb:nzt+1,nys:nyn),   a1(nzb:nzt+1,nys:nyn),   a2(nzb:nzt+1,nys:nyn),          &
+                 a12(nzb:nzt+1,nys:nyn),  a22(nzb:nzt+1,nys:nyn),  immb(nzb+1:nzt,nys:nyn),        &
+                 imme(nzb+1:nzt,nys:nyn), impb(nzb+1:nzt,nys:nyn), impe(nzb+1:nzt,nys:nyn),        &
+                 ipmb(nzb+1:nzt,nys:nyn), ipme(nzb+1:nzt,nys:nyn), ippb(nzb+1:nzt,nys:nyn),        &
+                 ippe(nzb+1:nzt,nys:nyn), m1(nzb-1:nzt+2,nys:nyn), sw(nzb:nzt+1,nys:nyn)           &
                )
        imme = 0.0_wp; impe = 0.0_wp; ipme = 0.0_wp; ippe = 0.0_wp
 
-!
-!--    Outer loop of all i
        DO  i = nxl, nxr
 
@@ -1110,15 +1083,16 @@
              DO  k = nzb, nzt+1
                 a12(k,j) = 0.5_wp * ( sk_p(k+1,j,i) - sk_p(k-1,j,i) )
-                a22(k,j) = 0.5_wp * ( sk_p(k+1,j,i) - 2.0_wp * sk_p(k,j,i)        &
-                                                    + sk_p(k-1,j,i) )
-                a0(k,j) = ( 9.0_wp * sk_p(k+2,j,i)    - 116.0_wp * sk_p(k+1,j,i)  &
-                            + 2134.0_wp * sk_p(k,j,i) - 116.0_wp * sk_p(k-1,j,i)  &
-                            + 9.0_wp * sk_p(k-2,j,i) ) * f1920
-                a1(k,j) = ( -5.0_wp   * sk_p(k+2,j,i) + 34.0_wp * sk_p(k+1,j,i)   &
-                            - 34.0_wp * sk_p(k-1,j,i) + 5.0_wp  * sk_p(k-2,j,i)   &
+                a22(k,j) = 0.5_wp * ( sk_p(k+1,j,i) - 2.0_wp * sk_p(k,j,i) + sk_p(k-1,j,i) )
+                a0(k,j) = ( 9.0_wp * sk_p(k+2,j,i)    - 116.0_wp * sk_p(k+1,j,i)                   &
+                            + 2134.0_wp * sk_p(k,j,i) - 116.0_wp * sk_p(k-1,j,i)                   &
+                            + 9.0_wp * sk_p(k-2,j,i)                                               &
+                          ) * f1920
+                a1(k,j) = ( -5.0_wp   * sk_p(k+2,j,i) + 34.0_wp * sk_p(k+1,j,i)                    &
+                            - 34.0_wp * sk_p(k-1,j,i) + 5.0_wp  * sk_p(k-2,j,i)                    &
                           ) * f48
-                a2(k,j) = ( -3.0_wp * sk_p(k+2,j,i) + 36.0_wp * sk_p(k+1,j,i)     &
-                            - 66.0_wp * sk_p(k,j,i) + 36.0_wp * sk_p(k-1,j,i)     &
-                            - 3.0_wp * sk_p(k-2,j,i) ) * f48
+                a2(k,j) = ( -3.0_wp * sk_p(k+2,j,i) + 36.0_wp * sk_p(k+1,j,i)                      &
+                            - 66.0_wp * sk_p(k,j,i) + 36.0_wp * sk_p(k-1,j,i)                      &
+                            - 3.0_wp * sk_p(k-2,j,i)                                               &
+                          ) * f48
              ENDDO
           ENDDO
@@ -1126,5 +1100,4 @@
 !
 !--       Fluxes using the Bott scheme
-!--       *VOCL LOOP,UNROLL(2)
           DO  j = nys, nyn
              DO  k = nzb+1, nzt
@@ -1133,9 +1106,9 @@
                 cipf = 1.0_wp - 2.0_wp * cip
                 cimf = 1.0_wp - 2.0_wp * cim
-                ip   =   a0(k,j)   * f2  * ( 1.0_wp - cipf )                      &
-                       + a1(k,j)   * f8  * ( 1.0_wp - cipf*cipf )                 &
+                ip   =   a0(k,j)   * f2  * ( 1.0_wp - cipf )                                       &
+                       + a1(k,j)   * f8  * ( 1.0_wp - cipf*cipf )                                  &
                        + a2(k,j)   * f24 * ( 1.0_wp - cipf*cipf*cipf )
-                im   =   a0(k+1,j) * f2  * ( 1.0_wp - cimf )                      &
-                       - a1(k+1,j) * f8  * ( 1.0_wp - cimf*cimf )                 &
+                im   =   a0(k+1,j) * f2  * ( 1.0_wp - cimf )                                       &
+                       - a1(k+1,j) * f8  * ( 1.0_wp - cimf*cimf )                                  &
                        + a2(k+1,j) * f24 * ( 1.0_wp - cimf*cimf*cimf )
                 ip   = MAX( ip, 0.0_wp )
@@ -1148,9 +1121,9 @@
                 cipf = 1.0_wp - 2.0_wp * cip
                 cimf = 1.0_wp - 2.0_wp * cim
-                ip   =   a0(k-1,j) * f2  * ( 1.0_wp - cipf )                      &
-                       + a1(k-1,j) * f8  * ( 1.0_wp - cipf*cipf )                 &
+                ip   =   a0(k-1,j) * f2  * ( 1.0_wp - cipf )                                       &
+                       + a1(k-1,j) * f8  * ( 1.0_wp - cipf*cipf )                                  &
                        + a2(k-1,j) * f24 * ( 1.0_wp - cipf*cipf*cipf )
-                im   =   a0(k,j)   * f2  * ( 1.0_wp - cimf )                      &
-                       - a1(k,j)   * f8  * ( 1.0_wp - cimf*cimf )                 &
+                im   =   a0(k,j)   * f2  * ( 1.0_wp - cimf )                                       &
+                       - a1(k,j)   * f8  * ( 1.0_wp - cimf*cimf )                                  &
                        + a2(k,j)   * f24 * ( 1.0_wp - cimf*cimf*cimf )
                 ip   = MAX( ip, 0.0_wp )
@@ -1183,9 +1156,9 @@
           DO  j = nys, nyn
              DO  k = nzb, nzt+1
-                m2 = 2.0_wp * ABS( a1(k,j) - a12(k,j) ) /                         &
+                m2 = 2.0_wp * ABS( a1(k,j) - a12(k,j) ) /                                          &
                      MAX( ABS( a1(k,j) + a12(k,j) ), 1E-35_wp )
                 IF ( ABS( a1(k,j) + a12(k,j) ) < fmax(2) )  m2 = 0.0_wp
 
-                m3 = 2.0_wp * ABS( a2(k,j) - a22(k,j) ) /                         &
+                m3 = 2.0_wp * ABS( a2(k,j) - a22(k,j) ) /                                          &
                      MAX( ABS( a2(k,j) + a22(k,j) ), 1E-35_wp )
                 IF ( ABS( a2(k,j) + a22(k,j) ) < fmax(1) )  m3 = 0.0_wp
@@ -1195,9 +1168,7 @@
                 IF ( m1(k,j) == -1.0_wp )  t2 = 0.12_wp
 
-!--             *VOCL STMT,IF(10)
-                IF ( m1(k-1,j) == 1.0_wp .OR. m1(k,j) == 1.0_wp                   &
-                     .OR. m1(k+1,j) == 1.0_wp .OR.  m2 > t2  .OR.  m3 > t2  .OR.  &
-                     ( m1(k,j) > t1  .AND.  m1(k-1,j) /= -1.0_wp  .AND.           &
-                       m1(k,j) /= -1.0_wp  .AND.  m1(k+1,j) /= -1.0_wp )          &
+                IF ( m1(k-1,j) == 1.0_wp  .OR.  m1(k,j) == 1.0_wp  .OR.  m1(k+1,j) == 1.0_wp  .OR. &
+                     m2 > t2  .OR.  m3 > t2  .OR.  ( m1(k,j) > t1 .AND.  m1(k-1,j) /= -1.0_wp .AND.&
+                     m1(k,j) /= -1.0_wp .AND. m1(k+1,j) /= -1.0_wp )                               &
                    )  sw(k,j) = 1.0_wp
              ENDDO
@@ -1210,5 +1181,4 @@
              DO  k = nzb+1, nzt
 
-!--             *VOCL STMT,IF(10)
                 IF ( sw(k,j) == 1.0_wp )  THEN
                    snenn = sk_p(k+1,j,i) - sk_p(k-1,j,i)
@@ -1222,9 +1192,9 @@
                    cip =  MAX( 0.0_wp, w(k,j,i) * dt_3d * ddzw(k) )
 
-                   ippe(k,j) = sk_p(k-1,j,i) * cip + snenn * (                    &
-                               aex(ix) * cip + bex(ix) / dex(ix) * (              &
-                               eex(ix) -                                          &
-                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cip ) )  &
-                                                                   )              &
+                   ippe(k,j) = sk_p(k-1,j,i) * cip + snenn * (                                     &
+                               aex(ix) * cip + bex(ix) / dex(ix) * (                               &
+                               eex(ix) -                                                           &
+                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cip ) )                   &
+                                                                   )                               &
                                                              )
                    IF ( sterm == 0.0001_wp )  ippe(k,j) = sk_p(k,j,i) * cip
@@ -1241,9 +1211,9 @@
                    cim = -MIN( 0.0_wp, w(k-1,j,i) * dt_3d * ddzw(k) )
 
-                   imme(k,j) = sk_p(k+1,j,i) * cim + snenn * (                    &
-                               aex(ix) * cim + bex(ix) / dex(ix) * (              &
-                               eex(ix) -                                          &
-                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cim ) ) &
-                                                                   )              &
+                   imme(k,j) = sk_p(k+1,j,i) * cim + snenn * (                                     &
+                               aex(ix) * cim + bex(ix) / dex(ix) * (                               &
+                               eex(ix) -                                                           &
+                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cim ) )                   &
+                                                                   )                               &
                                                              )
                    IF ( sterm == 0.0001_wp )  imme(k,j) = sk_p(k,j,i) * cim
@@ -1251,5 +1221,4 @@
                 ENDIF
 
-!--             *VOCL STMT,IF(10)
                 IF ( sw(k+1,j) == 1.0_wp )  THEN
                    snenn = sk_p(k,j,i) - sk_p(k+2,j,i)
@@ -1263,9 +1232,9 @@
                    cim = -MIN( 0.0_wp, w(k,j,i) * dt_3d * ddzw(k) )
 
-                   impe(k,j) = sk_p(k+2,j,i) * cim + snenn * (                    &
-                               aex(ix) * cim + bex(ix) / dex(ix) * (              &
-                               eex(ix) -                                          &
-                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cim ) )  &
-                                                                   )              &
+                   impe(k,j) = sk_p(k+2,j,i) * cim + snenn * (                                     &
+                               aex(ix) * cim + bex(ix) / dex(ix) * (                               &
+                               eex(ix) -                                                           &
+                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cim ) )                   &
+                                                                   )                               &
                                                              )
                    IF ( sterm == 0.0001_wp )  impe(k,j) = sk_p(k+1,j,i) * cim
@@ -1273,5 +1242,4 @@
                 ENDIF
 
-!--             *VOCL STMT,IF(10)
                 IF ( sw(k-1,j) == 1.0_wp )  THEN
                    snenn = sk_p(k,j,i) - sk_p(k-2,j,i)
@@ -1285,9 +1253,9 @@
                    cip = MAX( 0.0_wp, w(k-1,j,i) * dt_3d * ddzw(k) )
 
-                   ipme(k,j) = sk_p(k-2,j,i) * cip + snenn * (                    &
-                               aex(ix) * cip + bex(ix) / dex(ix) * (              &
-                               eex(ix) -                                          &
-                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cip ) )  &
-                                                                   )              &
+                   ipme(k,j) = sk_p(k-2,j,i) * cip + snenn * (                                     &
+                               aex(ix) * cip + bex(ix) / dex(ix) * (                               &
+                               eex(ix) -                                                           &
+                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cip ) )                   &
+                                                                   )                               &
                                                              )
                    IF ( sterm == 0.0001_wp )  ipme(k,j) = sk_p(k-1,j,i) * cip
@@ -1303,8 +1271,8 @@
           DO  j = nys, nyn
              DO  k = nzb+1, nzt
-                fplus  = ( 1.0_wp - sw(k,j)   ) * ippb(k,j) + sw(k,j)   * ippe(k,j) &
-                       - ( 1.0_wp - sw(k+1,j) ) * impb(k,j) - sw(k+1,j) * impe(k,j)
-                fminus = ( 1.0_wp - sw(k-1,j) ) * ipmb(k,j) + sw(k-1,j) * ipme(k,j) &
-                       - ( 1.0_wp - sw(k,j)   ) * immb(k,j) - sw(k,j)   * imme(k,j)
+                fplus  = ( 1.0_wp - sw(k,j) )     * ippb(k,j) + sw(k,j)   * ippe(k,j)              &
+                         - ( 1.0_wp - sw(k+1,j) ) * impb(k,j) - sw(k+1,j) * impe(k,j)
+                fminus = ( 1.0_wp - sw(k-1,j) )   * ipmb(k,j) + sw(k-1,j) * ipme(k,j)              &
+                         - ( 1.0_wp - sw(k,j) )   * immb(k,j) - sw(k,j)   * imme(k,j)
                 tendcy = fplus - fminus
 !
@@ -1315,9 +1283,8 @@
 !--             Density correction because of possible remaining divergences
                 d_new = d(k,j,i) - ( w(k,j,i) - w(k-1,j,i) ) * dt_3d * ddzw(k)
-                sk_p(k,j,i) = ( ( 1.0_wp + d(k,j,i) ) * sk_p(k,j,i) - tendcy ) /  &
-                              ( 1.0_wp + d_new )
+                sk_p(k,j,i) = ( ( 1.0_wp + d(k,j,i) ) * sk_p(k,j,i) - tendcy ) / ( 1.0_wp + d_new )
 !
 !--             Store heat flux for subsequent statistics output.
-!--             array m1 is here used as temporary storage
+!--             Array m1 is here used as temporary storage
                 m1(k,j) = fplus / dt_3d * dzw(k)
              ENDDO
@@ -1325,11 +1292,10 @@
 
 !
-!--       Sum up heat flux in order to order to obtain horizontal averages
+!--       Sum up heat flux in order to obtain horizontal averages
           IF ( sk_char == 'pt' )  THEN
              DO  sr = 0, statistic_regions
                 DO  j = nys, nyn
                    DO  k = nzb+1, nzt
-                      sums_wsts_bc_l(k,sr) = sums_wsts_bc_l(k,sr) +               &
-                                             m1(k,j) * rmask(j,i,sr)
+                      sums_wsts_bc_l(k,sr) = sums_wsts_bc_l(k,sr) + m1(k,j) * rmask(j,i,sr)
                    ENDDO
                 ENDDO
@@ -1337,5 +1303,8 @@
           ENDIF
 
-       ENDDO   ! End of the advection in z-direction
+       ENDDO
+!
+!--    End of the advection in z-direction
+
        CALL cpu_log( log_point_s(12), 'advec_s_bc:exp', 'continue' )
        CALL cpu_log( log_point_s(12), 'advec_s_bc:exp', 'stop' )
@@ -1343,6 +1312,5 @@
 !
 !--    Deallocate temporary arrays
-       DEALLOCATE( a0, a1, a2, a12, a22, immb, imme, impb, impe, ipmb, ipme,      &
-                   ippb, ippe, m1, sw )
+       DEALLOCATE( a0, a1, a2, a12, a22, immb, imme, impb, impe, ipmb, ipme, ippb, ippe, m1, sw )
 
 !
